const API_BASE = 'https://xinghuolanqiu.com/newApi'

module.exports = {
	//  微信授权登录
	wxLogin: API_BASE + '/v2/coach/login/wxLogin',
	//  账号密码登录
	loginByPassword: API_BASE + '/v2/coach/login/login',
	
	
	//  提交补课表单
	submitExtraLessonsForm: API_BASE + '/v2/sale/class/extraLessonsSubmit',
	//  获取补课学员列表
	getExtraLessonsStudentList: API_BASE + '/v2/sale/class/extraLessonsStudentList',
	//  获取我的班级列表
	getClassList: API_BASE + '/v2/sale/class/getClassList',
	//  获取场馆列表列表
	getVenueList: API_BASE + '/v2/sale/class/getVenueList',
	//  获取我的排班列表
	getTimetableList: API_BASE + '/v2/sale/class/getClassSort',
	//  提交新建班级表单
	submitClassForm: API_BASE + '/v2/sale/class/create',
	//  获取班级详情
	getClassDetail: API_BASE + '/v2/sale/class/getDetail',
	//  获取教练近况
	getClassDetailShowList: API_BASE + '/v2/sale/class/getClassDetailShowList',
	//  教练近况发布
	insertClassShow: API_BASE + '/v2/sale/class/insertClassShow',
	//  教练近况删除
	deleteClassShow: API_BASE + '/v2/sale/class/deleteClassShow',
	//  获取学员详情
	getStudentDetail: API_BASE + '/v2/sale/class/getStudentDetail',
	//  提交历程表单
	submitCourseForm: API_BASE + '/v2/sale/class/addGrow',
	//  获取本课程学员列表
	getSignStudentList: API_BASE + '/v2/sale/class/getSignStudentList',
	//  获取非本课程学员列表
	getOtherSignStudentList: API_BASE + '/v2/sale/class/getOtherSignStudentList',
	//  提交签到表单
	submitSignForm: API_BASE + '/v2/sale/class/signSubmit',
	
	
	//  获取消息通知列表
	getMessageList: API_BASE + '/v2/coach/message/getMessageList',
	
	
	//  获取我的评价列表
	getEvaluateList: API_BASE + '/v2/coach/center/getRatingList',
	//  获取我的评价详情
	getEvaluateInfo: API_BASE + '/v2/coach/center/getRatingDetail',
	//  获取我的补课记录列表
	getExtraLessonsList: API_BASE + '/v2/coach/center/getExtraLessonsList',
	//  获取我的请假记录列表
	getLeaveLessonsList: API_BASE + '/v2/coach/center/getLeaveLessonsList',
	//  获取我的续费提醒列表
	getRenewList: API_BASE + '/v2/coach/center/getSignReminderList',
	//  获取我的签到提醒列表
	getSignList: API_BASE + '/v2/coach/center/getRenewalReminderList',
	//  获取我的签到学员详情
	getSignStudentInfo: API_BASE + '/v2/coach/center/getSignStudentList',
	//  获取续费学员沟通记录列表
	getRenewCommunicateList: API_BASE + '/v2/coach/center/getRenewalCommunicateRecordList',
	//  获取签到学员沟通记录列表
	getSignCommunicateList: API_BASE + '/v2/coach/center/getSignCommunicateRecordList',
	//  提交续费学员沟通记录表单
	submitRenewCommunicateForm: API_BASE + '/v2/coach/center/writeRenewalCommunicateRecord',
	//  提交签到学员沟通记录表单
	submitSignCommunicateForm: API_BASE + '/v2/coach/center/writeSignCommunicateRecord',
	//  获取续费率
	getRenewPercent: API_BASE + '/v2/coach/center/getRenewPercent',
	//  获取续费率排名列表
	getRenewRankingList: API_BASE + '/v2/coach/center/getRenewRankingList',
	//  获取签到率
	getSignPercent: API_BASE + '/v2/coach/center/getSignPercent',
	//  获取签到率排名列表
	getSignRankingList: API_BASE + '/v2/coach/center/getSignRankingList',
	
	
	//  获取服务器端图片
	getServerImg: API_BASE + '/download/icon/',
	//  上传地址
	uploadFile: API_BASE + '/v2/common/file/uploadOne',
}
